# Contributing to Neuroimaging.jl

Contributions to this project are warmly welcomed. he project accepts contributions in the form of bug reports, fixes, feature additions, and documentation improvements (including typo corrections). The best way to start contributing is by opening an issue on our GitHub page to discuss ideas for changes or enhancements, or to tell us about behavior that you think might be a bug.

This project has many areas that could be improved. If you think something could be done better, then it probably can. I welcome constructive contributions.

## Contributing code

If you wish to make a contribution first raise an issue.
To contribute code you should submit it as a PR.
Your code will then be run through the various continuous integration (CI) services.
The CI checks for various issues such as spelling mistakes, code errors, documentation errors, code coverage, etc.
Do not worry if the CI comes back negative the first time, we can work through any issues together.

#### Requirements for code to be accepted

Before any new code is accepted we will need to ensure that:
* The code has unit tests
* The code is documented
* The code is demonstrated in an example in the documentation

As above, do not worry if all these conditions are not initially met. First submit what you have and we can work through the improvements together.
